const env = "__ENV__"

import wepy from "wepy";

export const config = {
    'api': (() => {
        let envMap = {
            'dev': 'https://tu.duowan.com',//本地&测试
            'preview': 'https://tu.duowan.com',		//预发布
            'production': 'https://tu.duowan.com',	//线上
        }

        return envMap[env]
    })(),
    'wxApi': (() => {
        let envMap = {
            'dev': 'https://test-tuwx.duowan.com',	//本地&测试
            'preview': 'https://tuwx.duowan.com',		//预发布
            'production': 'https://tuwx.duowan.com',	//线上
        }
        return envMap[env]
    })()
}

export const lib = {
    // 时差计算
    getTimeHour(updateTime) {
        // let nowTime = Math.floor( new Date().getTime()/1000)
        // let difTime = nowTime - updateTime
        // let difHour =  Math.floor(difTime / (60 * 60))

        // return difHour
        var result = null
        var minute = 1000 * 60
        var hour = minute * 60
        var day = hour * 24
        var halfamonth = day * 15
        var month = day * 30
        var now = new Date().getTime()
        var diffValue = now - updateTime * 1000
        if(diffValue < 0){return}
        var monthC =diffValue/month
        var weekC =diffValue/(7*day)
        var dayC =diffValue/day
        var hourC =diffValue/hour
        var minC =diffValue/minute
        if(monthC>=1){
            result="" + parseInt(monthC) + "月前"
        }
        else if(weekC>=1){
            result="" + parseInt(weekC) + "周前"
        }
        else if(dayC>=1){
            result=""+ parseInt(dayC) +"天前"
        }
        else if(hourC>=1){
            result=""+ parseInt(hourC) +"小时前"
        }
        else if(minC>=1){
            result=""+ parseInt(minC) +"分钟前"
        }else
        result="刚刚"
        return result
    },
    // 得到图片临时路径
    getImageInfo(url) {
        return new Promise((resolve, reject) => {
            wx.getImageInfo({
                src: url,
                success: function (res) {
                  resolve(res.path)
                }
            })
        })
    },
    filterTag(data, type) {
		let tagArr = ['爆笑gif', '今日囧图', '吐槽囧图', '十万个冷知识', '日式冷笑话', '趣闻', '专题', '段子精选', '无品新闻']
        let frontArr = ['搞笑GIF', '今日囧图', '吐槽囧图', '十万个冷知识', '日式冷笑话', '趣图', '轻松三分钟', '段子精选', '无品新闻']
        if(data.length > 0) {
            data.map((item, index) => {
                item.tags.forEach((ele) => {
                    if(tagArr.includes(ele.tag_name)) {
                        let tagInd = tagArr.indexOf(ele.tag_name)
                        item.tag = frontArr[tagInd]
                        item.tagId = ele.tag_id
                    }
                })
                if(type != 'album'){
                    // 图片懒加载标识 false为懒加载
                    index > 1 ? item.show = false : item.show = true
                    // 得到gif第一帧图片
                    let path = item.source.replace(/http:\/\/s1.dwstatic.com/,'')
                    item.firstUrl = 'https://w2.dwstatic.com/s1_dwstatic' + path + '?imageview/format/jpg'
                }
            })
        } else {
            data.tags.forEach((ele) => {
                if(tagArr.includes(ele.tag_name)) {
                    let tagInd = tagArr.indexOf(ele.tag_name)
                    data.tag = frontArr[tagInd]
                    data.tagId = ele.tag_id
                }
            })
        }
		// 标签过滤

		return data
    }
}



